curl --request GET \
--url https://api.rewind.rest/v1/collecting/media/{id} \
--header 'Authorization: Bearer <token>'{
"id": 2,
"title": "The Great Escape",
"year": 1963,
"tmdb_id": 5925,
"imdb_id": "tt0057115",
"tagline": "No prison can hold them!",
"summary": "Allied prisoners of war plan for several hundred of their number to escape from a German camp during World War II.",
"image": null,
"runtime": 172,
"tmdb_rating": 8,
"content_rating": "NR",
"media_type": "bluray_4k",
"resolution": "2160p",
"hdr": "HDR10",
"audio": "DTS-HD MA",
"audio_channels": "5.1",
"collected_at": "2025-12-25T00:00:00Z",
"watch_history": [
{
"watched_at": "2025-08-10T20:00:00Z",
"source": "plex",
"user_rating": null
}
]
}Full detail for a single physical media item including movie metadata and watch history.
curl --request GET \
--url https://api.rewind.rest/v1/collecting/media/{id} \
--header 'Authorization: Bearer <token>'{
"id": 2,
"title": "The Great Escape",
"year": 1963,
"tmdb_id": 5925,
"imdb_id": "tt0057115",
"tagline": "No prison can hold them!",
"summary": "Allied prisoners of war plan for several hundred of their number to escape from a German camp during World War II.",
"image": null,
"runtime": 172,
"tmdb_rating": 8,
"content_rating": "NR",
"media_type": "bluray_4k",
"resolution": "2160p",
"hdr": "HDR10",
"audio": "DTS-HD MA",
"audio_channels": "5.1",
"collected_at": "2025-12-25T00:00:00Z",
"watch_history": [
{
"watched_at": "2025-08-10T20:00:00Z",
"source": "plex",
"user_rating": null
}
]
}Documentation Index
Fetch the complete documentation index at: https://docs.rewind.rest/llms.txt
Use this file to discover all available pages before exploring further.
API key. Read keys (rw_live_...) access GET endpoints. Admin keys (rw_admin_...) access all endpoints.
Media item detail
Show child attributes
Show child attributes